import request from '@/utils/request'

// 查询日本不合格商品展示列表
export function listJapan(query) {
  return request({
    url: '/bus/japan/list',
    method: 'get',
    params: query
  })
}

// 查询日本不合格商品展示详细
export function getJapan(id) {
  return request({
    url: '/bus/japan/' + id,
    method: 'get'
  })
}

// 新增日本不合格商品展示
export function addJapan(data) {
  return request({
    url: '/bus/japan',
    method: 'post',
    data: data
  })
}

// 修改日本不合格商品展示
export function updateJapan(data) {
  return request({
    url: '/bus/japan',
    method: 'put',
    data: data
  })
}

// 删除日本不合格商品展示
export function delJapan(id) {
  return request({
    url: '/bus/japan/' + id,
    method: 'delete'
  })
}

// 手动触发爬虫
export function manualCrawl() {
  return request({
    url: '/bus/japan/manual',
    method: 'post'
  })
}
// 单条数据爬取
export function crawlSingle(id) {
  return request({
    url: '/bus/japan/crawlSingle/' + id,
    method: 'post'
  })
}
